summaryrefslogtreecommitdiff
path: root/src/python/stdlib/plat-linux2/regen
diff options
context:
space:
mode:
authorSimon <simon@hardwired.org.uk>2011-03-22 17:58:52 (GMT)
committer Simon <simon@hardwired.org.uk>2011-03-22 17:58:52 (GMT)
commit2e401babb793238564ca640fc802a52ab7f6c293 (patch)
tree87a9b471e82604e76f96d556f5771322fb31818a /src/python/stdlib/plat-linux2/regen
parentc096b2b14a200a0cc0a08cfea839c9e7f4edf22e (diff)
parent04a9cbcb8855e64db660a8c6e23d79114b4afd83 (diff)
downloadpowder-2e401babb793238564ca640fc802a52ab7f6c293.zip
powder-2e401babb793238564ca640fc802a52ab7f6c293.tar.gz
Python console
Diffstat (limited to 'src/python/stdlib/plat-linux2/regen')
-rwxr-xr-xsrc/python/stdlib/plat-linux2/regen8
1 files changed, 8 insertions, 0 deletions
diff --git a/src/python/stdlib/plat-linux2/regen b/src/python/stdlib/plat-linux2/regen
new file mode 100755
index 0000000..c76950e
--- /dev/null
+++ b/src/python/stdlib/plat-linux2/regen
@@ -0,0 +1,8 @@
+#! /bin/sh
+case `uname` in
+Linux*) ;;
+*) echo Probably not on a Linux system 1>&2
+ exit 1;;
+esac
+set -v
+h2py -i '(u_long)' /usr/include/sys/types.h /usr/include/netinet/in.h /usr/include/dlfcn.h